### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
YoYInflationBlackCapFloorEngine Class Reference

Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer) More...

`#include <ql/pricingengines/inflation/inflationcapfloorengines.hpp>`

Inheritance diagram for YoYInflationBlackCapFloorEngine:
[legend]

List of all members.

## Public Member Functions

| YoYInflationBlackCapFloorEngine (const boost::shared_ptr< YoYInflationIndex > &, const Handle< YoYOptionletVolatilitySurface > &)

## Protected Member Functions

virtual Real | optionletImpl (Option::Type, Real strike, Real forward, Real stdDev, Real d) const
| descendents only need to implement this

## Detailed Description

Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer)